---
title: '`glab gpg-key get`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Returns a single GPG key specified by the ID.

## Synopsis

Pass the ID of the key to return as an argument. Find key IDs by
running `glab gpg-key list --show-id`.

By default, the command prints the key's ID, public key, and creation date.
Use `--output json` to return the full key object.

```plaintext
glab gpg-key get <key-id> [flags]
```

## Examples

```console
# Get GPG key with ID as argument
glab gpg-key get 7750633
```

## Options

```plaintext
      --jq string       Filter JSON output with a jq expression.
  -F, --output string   Format output as: text, json. (default "text")
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
